Skip to main content
`Ctrl`+`K`

# PetscLogHandlerStart

Connect a log handler to PETSc’s global logging stream and state.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerStart(PetscLogHandler h)

Logically collective

## Input Parameters

- h - a `PetscLogHandler`

## Notes

Users should only need this if they create their own log handlers: handlers that are started from the command line (such as `-log_view` and `-log_trace`) or from a function like `PetscLogNestedBegin()` will automatically be started.

There is a limit of `PESC_LOG_HANDLER_MAX` handlers that can be active at one time.

To disconnect a handler from the global stream call `PetscLogHandlerStop()`.

When a log handler is started, stages that have already been pushed with `PetscLogStagePush()`, will be pushed for the new log handler, but it will not be informed of any events that are in progress. It is recommended to start any user-defined log handlers immediately following `PetscInitialize()` before any user-defined stages are pushed.

## See Also

Profiling, `PetscLogHandler`, `PetscLogState`, `PetscLogHandlerStop()`, `PetscInitialize()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages